- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# COptionMenuScheme Class Reference

`#include <vstcontrols.h>`

Inheritance diagram for COptionMenuScheme:

List of all members.

## Public Types
enum | { kChecked = 0x01, kDisabled = 0x02, kSelected = 0x04, kSubMenu = 0x08, kTitle = 0x10 }
## Public Member Functions
| COptionMenuScheme ()
virtual | ~COptionMenuScheme ()
virtual void | getItemSize (const char *text, CDrawContext *pContext, CPoint &size)
virtual void | drawItem (const char *text, long itemId, long state, CDrawContext *pContext, const CRect &rect)
void | setColors (CColor back, CColor select, CColor text, CColor htext, CColor dtext)
void | setFont (CFont f)
## Protected Member Functions
virtual void | drawItemBack (CDrawContext *pContext, const CRect &rect, bool hilite)
## Protected Attributes
CColor | backgroundColor
CColor | selectionColor
CColor | textColor
CColor | hiliteTextColor
CColor | disableTextColor
CFont | font

## Detailed Description

Used to define the appearance (font color, background color...) of a popup-menu. To define the scheme of a menu, use the appropriate setScheme method (see COptionMenu).

## New since 3.0

You can also use the global variable gOptionMenuScheme to use one scheme on all menus.

## Note

If you want to use it on Mac OS X, you must set the macro MAC_ENABLE_MENU_SCHEME (needs Mac OS X 10.3 or higher)

## Member Enumeration Documentation

anonymous enum

  | Enumerator:
  kChecked |
  kDisabled |
  kSelected |
  kSubMenu |
  kTitle |

## Constructor & Destructor Documentation

COptionMenuScheme::COptionMenuScheme | ( |  | ) |

COptionMenuScheme::~COptionMenuScheme | ( |  | ) | `[virtual]`

## Member Function Documentation

void COptionMenuScheme::drawItem | ( | const char * | text,
|  | long | itemId,
|  | long | state,
|  | CDrawContext * | pContext,
|  | const CRect & | rect
| ) | `[virtual]`

void COptionMenuScheme::drawItemBack | ( | CDrawContext * | pContext,
|  | const CRect & | rect,
|  | bool | hilite
| ) | `[protected, virtual]`

void COptionMenuScheme::getItemSize | ( | const char * | text,
|  | CDrawContext * | pContext,
|  | CPoint & | size
| ) | `[virtual]`

void COptionMenuScheme::setColors | ( | CColor | back,
|  | CColor | select,
|  | CColor | text,
|  | CColor | htext,
|  | CColor | dtext
| ) | `[inline]`

void COptionMenuScheme::setFont | ( | CFont | f | ) | `[inline]`

## Member Data Documentation

CColor COptionMenuScheme::backgroundColor`[protected]`

CColor COptionMenuScheme::disableTextColor`[protected]`

CFont COptionMenuScheme::font`[protected]`

CColor COptionMenuScheme::hiliteTextColor`[protected]`

CColor COptionMenuScheme::selectionColor`[protected]`

CColor COptionMenuScheme::textColor`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.